"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  Dialog: () => Dialog,
  ImagePreview: () => ImagePreview,
  Notify: () => Notify,
  Toast: () => Toast
});
module.exports = __toCommonJS(src_exports);

// src/toast.ts
var import_vant = require("vant");
var Toast = (...args) => {
  const toast = (0, import_vant.showToast)(...args);
  return __spreadValues({
    clear: toast.close
  }, toast);
};
Toast.fail = (...args) => {
  const toast = (0, import_vant.showFailToast)(...args);
  return __spreadValues({
    clear: toast.close
  }, toast);
};
Toast.success = (...args) => {
  const toast = (0, import_vant.showSuccessToast)(...args);
  return __spreadValues({
    clear: toast.close
  }, toast);
};
Toast.loading = (...args) => {
  const toast = (0, import_vant.showLoadingToast)(...args);
  return __spreadValues({
    clear: toast.close
  }, toast);
};
Toast.clear = import_vant.closeToast;
Toast.allowMultiple = import_vant.allowMultipleToast;
Toast.setDefaultOptions = import_vant.setToastDefaultOptions;
Toast.resetDefaultOptions = import_vant.resetToastDefaultOptions;
Toast.install = (app) => {
  app.config.globalProperties.$toast = Toast;
};

// src/notify.ts
var import_vant2 = require("vant");
var Notify = (...args) => (0, import_vant2.showNotify)(...args);
Notify.clear = import_vant2.closeNotify;
Notify.Component = import_vant2.Notify;
Notify.setDefaultOptions = import_vant2.setNotifyDefaultOptions;
Notify.resetDefaultOptions = import_vant2.resetNotifyDefaultOptions;
Notify.install = (app) => {
  app.use(Notify.Component);
  app.config.globalProperties.$notify = Notify;
};

// src/dialog.ts
var import_vant3 = require("vant");
var Dialog = (...args) => (0, import_vant3.showDialog)(...args);
Dialog.Component = import_vant3.Dialog;
Dialog.alert = Dialog;
Dialog.confirm = import_vant3.showConfirmDialog;
Dialog.close = import_vant3.closeDialog;
Dialog.setDefaultOptions = import_vant3.setDialogDefaultOptions;
Dialog.resetDefaultOptions = import_vant3.resetDialogDefaultOptions;
Dialog.install = (app) => {
  app.use(Dialog.Component);
  app.config.globalProperties.$dialog = Dialog;
};

// src/image-preview.ts
var import_vant4 = require("vant");
var ImagePreview = (...args) => (0, import_vant4.showImagePreview)(...args);
ImagePreview.Component = import_vant4.ImagePreview;
ImagePreview.install = (app) => {
  app.use(ImagePreview.Component);
};
