import MiniTypes from './types/index';
import alert from './alert';
import authConfig from './authConfig';
import bizContactDepartmentsPickerExternal from './bizContactDepartmentsPickerExternal';
import bizCustomContactChooseExternal from './bizCustomContactChooseExternal';
import bizCustomContactMultipleChooseExternal from './bizCustomContactMultipleChooseExternal';
import callPhone from './callPhone';
import canIUse from './canIUse';
import checkVPNAppInstalled from './checkVPNAppInstalled';
import checkVPNAppOnline from './checkVPNAppOnline';
import chooseContact from './chooseContact';
import chooseContactWithComplexPicker from './chooseContactWithComplexPicker';
import chooseDateRangeWithCalendar from './chooseDateRangeWithCalendar';
import chooseDayWithCalendar from './chooseDayWithCalendar';
import chooseDepartments from './chooseDepartments';
import chooseFile from './chooseFile';
import chooseHalfDayWithCalendar from './chooseHalfDayWithCalendar';
import chooseImage from './chooseImage';
import chooseInterconnectionChat from './chooseInterconnectionChat';
import chooseLocalImage from './chooseLocalImage';
import chooseSpaceDir from './chooseSpaceDir';
import chooseTimeWithCalendar from './chooseTimeWithCalendar';
import chooseVideo from './chooseVideo';
import closePage from './closePage';
import complexPickerAdmin from './complexPickerAdmin';
import confirm from './confirm';
import copyToClipboard from './copyToClipboard';
import createChatGroup from './createChatGroup';
import createDing from './createDing';
import createDingV2 from './createDingV2';
import createVideoConf from './createVideoConf';
import createVideoMeeting from './createVideoMeeting';
import dealWithBackAction from './dealWithBackAction';
import disableClosePage from './disableClosePage';
import disablePullToRefresh from './disablePullToRefresh';
import disableWebviewBounce from './disableWebviewBounce';
import downloadAudio from './downloadAudio';
import downloadFile from './downloadFile';
import enablePullToRefresh from './enablePullToRefresh';
import enableVpn from './enableVpn';
import enableWebviewBounce from './enableWebviewBounce';
import exclusiveInvoke from './exclusiveInvoke';
import faceComparison from './faceComparison';
import faceRecognition from './faceRecognition';
import getAppInstallStatus from './getAppInstallStatus';
import getAuthCode from './getAuthCode';
import getConfig from './getConfig';
import getContainerType from './getContainerType';
import getDeviceId from './getDeviceId';
import getFromClipboard from './getFromClipboard';
import getGeolocation from './getGeolocation';
import getGeolocationStatus from './getGeolocationStatus';
import getHotspotInfo from './getHotspotInfo';
import getLanguageSetting from './getLanguageSetting';
import getLoginUser from './getLoginUser';
import getNetworkType from './getNetworkType';
import getPhoneInfo from './getPhoneInfo';
import getProxyInfo from './getProxyInfo';
import getStorageItem from './getStorageItem';
import getTraceStatus from './getTraceStatus';
import getUUID from './getUUID';
import getUserAgent from './getUserAgent';
import getWaterMark from './getWaterMark';
import getWaterMarkConfigV2 from './getWaterMarkConfigV2';
import getWaterMarkV2 from './getWaterMarkV2';
import getWifiStatus from './getWifiStatus';
import getWorkbenchContext from './getWorkbenchContext';
import goBack from './goBack';
import hideLoading from './hideLoading';
import hideOptionMenu from './hideOptionMenu';
import hideTitleBar from './hideTitleBar';
import isDownloadFileExist from './isDownloadFileExist';
import joinScheduleConf from './joinScheduleConf';
import joinVideoConf from './joinVideoConf';
import joinVideoMeeting from './joinVideoMeeting';
import locateOnMap from './locateOnMap';
import on from './on';
import onAudioPlayEnd from './onAudioPlayEnd';
import onRecordAudioEnd from './onRecordAudioEnd';
import openApiInvoker from './openApiInvoker';
import openApp from './openApp';
import openBrowser from './openBrowser';
import openChat from './openChat';
import openDownloadFile from './openDownloadFile';
import openLink from './openLink';
import openPage from './openPage';
import openSchemeUrl from './openSchemeUrl';
import openSlidePanel from './openSlidePanel';
import openWatermarkCamera from './openWatermarkCamera';
import pauseAudio from './pauseAudio';
import pickChat from './pickChat';
import pickChatByCorpId from './pickChatByCorpId';
import pickGroupChat from './pickGroupChat';
import pickGroupConversation from './pickGroupConversation';
import playAudio from './playAudio';
import previewDoc from './previewDoc';
import previewImage from './previewImage';
import printFile from './printFile';
import printNativeLog from './printNativeLog';
import prompt from './prompt';
import pushWindow from './pushWindow';
import readImageToBase64 from './readImageToBase64';
import ready from './ready';
import reduceImageSize from './reduceImageSize';
import removeStorageItem from './removeStorageItem';
import replacePage from './replacePage';
import resetView from './resetView';
import resumeAudio from './resumeAudio';
import rotateView from './rotateView';
import scan from './scan';
import searchOnMap from './searchOnMap';
import sendOutData from './sendOutData';
import setLocalScreenShotPolicy from './setLocalScreenShotPolicy';
import setNavIcon from './setNavIcon';
import setNavLeftText from './setNavLeftText';
import setOptionMenu from './setOptionMenu';
import setProxyInfo from './setProxyInfo';
import setStorageItem from './setStorageItem';
import setTitle from './setTitle';
import shareFileToMessage from './shareFileToMessage';
import shareImageToMessage from './shareImageToMessage';
import shareToMessage from './shareToMessage';
import shootVideo from './shootVideo';
import showActionSheet from './showActionSheet';
import showCallMenu from './showCallMenu';
import showDatePicker from './showDatePicker';
import showDateTimePicker from './showDateTimePicker';
import showExtendModal from './showExtendModal';
import showHomeBottomTab from './showHomeBottomTab';
import showLoading from './showLoading';
import showModal from './showModal';
import showMultiSelect from './showMultiSelect';
import showOnMap from './showOnMap';
import showOptionMenu from './showOptionMenu';
import showPlainInputUponKeyboard from './showPlainInputUponKeyboard';
import showQuickCallMenu from './showQuickCallMenu';
import showSelect from './showSelect';
import showSignature from './showSignature';
import showSocialShare from './showSocialShare';
import showTimePicker from './showTimePicker';
import showTitleBar from './showTitleBar';
import startFaceRecognition from './startFaceRecognition';
import startGeolocation from './startGeolocation';
import startListenNetworkStatus from './startListenNetworkStatus';
import startRecordAudio from './startRecordAudio';
import startTraceReport from './startTraceReport';
import startVPNApp from './startVPNApp';
import startWatchShake from './startWatchShake';
import stopAudio from './stopAudio';
import stopGeolocation from './stopGeolocation';
import stopListenNetworkStatus from './stopListenNetworkStatus';
import stopPullToRefresh from './stopPullToRefresh';
import stopRecordAudio from './stopRecordAudio';
import stopTraceReport from './stopTraceReport';
import stopVPNApp from './stopVPNApp';
import stopWatchShake from './stopWatchShake';
import subscribe from './subscribe';
import takePhoto from './takePhoto';
import testProxy from './testProxy';
import toast from './toast';
import unlockWithSecurityVerification from './unlockWithSecurityVerification';
import unsubscribe from './unsubscribe';
import uploadFile from './uploadFile';
import uploadFileByType from './uploadFileByType';
import uploadLocalFile from './uploadLocalFile';
import uploadRemoteFileToDisk from './uploadRemoteFileToDisk';
import ut from './ut';
import version from './version';
import vibrate from './vibrate';
interface Idd {
    alert: typeof alert;
    authConfig: typeof authConfig;
    bizContactDepartmentsPickerExternal: typeof bizContactDepartmentsPickerExternal;
    bizCustomContactChooseExternal: typeof bizCustomContactChooseExternal;
    bizCustomContactMultipleChooseExternal: typeof bizCustomContactMultipleChooseExternal;
    callPhone: typeof callPhone;
    canIUse: typeof canIUse;
    checkVPNAppInstalled: typeof checkVPNAppInstalled;
    checkVPNAppOnline: typeof checkVPNAppOnline;
    chooseContact: typeof chooseContact;
    chooseContactWithComplexPicker: typeof chooseContactWithComplexPicker;
    chooseDateRangeWithCalendar: typeof chooseDateRangeWithCalendar;
    chooseDayWithCalendar: typeof chooseDayWithCalendar;
    chooseDepartments: typeof chooseDepartments;
    chooseFile: typeof chooseFile;
    chooseHalfDayWithCalendar: typeof chooseHalfDayWithCalendar;
    chooseImage: typeof chooseImage;
    chooseInterconnectionChat: typeof chooseInterconnectionChat;
    chooseLocalImage: typeof chooseLocalImage;
    chooseSpaceDir: typeof chooseSpaceDir;
    chooseTimeWithCalendar: typeof chooseTimeWithCalendar;
    chooseVideo: typeof chooseVideo;
    closePage: typeof closePage;
    complexPickerAdmin: typeof complexPickerAdmin;
    confirm: typeof confirm;
    copyToClipboard: typeof copyToClipboard;
    createChatGroup: typeof createChatGroup;
    createDing: typeof createDing;
    createDingV2: typeof createDingV2;
    createVideoConf: typeof createVideoConf;
    createVideoMeeting: typeof createVideoMeeting;
    dealWithBackAction: typeof dealWithBackAction;
    disableClosePage: typeof disableClosePage;
    disablePullToRefresh: typeof disablePullToRefresh;
    disableWebviewBounce: typeof disableWebviewBounce;
    downloadAudio: typeof downloadAudio;
    downloadFile: typeof downloadFile;
    enablePullToRefresh: typeof enablePullToRefresh;
    enableVpn: typeof enableVpn;
    enableWebviewBounce: typeof enableWebviewBounce;
    exclusiveInvoke: typeof exclusiveInvoke;
    faceComparison: typeof faceComparison;
    faceRecognition: typeof faceRecognition;
    getAppInstallStatus: typeof getAppInstallStatus;
    getAuthCode: typeof getAuthCode;
    getConfig: typeof getConfig;
    getContainerType: typeof getContainerType;
    getDeviceId: typeof getDeviceId;
    getFromClipboard: typeof getFromClipboard;
    getGeolocation: typeof getGeolocation;
    getGeolocationStatus: typeof getGeolocationStatus;
    getHotspotInfo: typeof getHotspotInfo;
    getLanguageSetting: typeof getLanguageSetting;
    getLoginUser: typeof getLoginUser;
    getNetworkType: typeof getNetworkType;
    getPhoneInfo: typeof getPhoneInfo;
    getProxyInfo: typeof getProxyInfo;
    getStorageItem: typeof getStorageItem;
    getTraceStatus: typeof getTraceStatus;
    getUUID: typeof getUUID;
    getUserAgent: typeof getUserAgent;
    getWaterMark: typeof getWaterMark;
    getWaterMarkConfigV2: typeof getWaterMarkConfigV2;
    getWaterMarkV2: typeof getWaterMarkV2;
    getWifiStatus: typeof getWifiStatus;
    getWorkbenchContext: typeof getWorkbenchContext;
    goBack: typeof goBack;
    hideLoading: typeof hideLoading;
    hideOptionMenu: typeof hideOptionMenu;
    hideTitleBar: typeof hideTitleBar;
    isDownloadFileExist: typeof isDownloadFileExist;
    joinScheduleConf: typeof joinScheduleConf;
    joinVideoConf: typeof joinVideoConf;
    joinVideoMeeting: typeof joinVideoMeeting;
    locateOnMap: typeof locateOnMap;
    on: typeof on;
    onAudioPlayEnd: typeof onAudioPlayEnd;
    onRecordAudioEnd: typeof onRecordAudioEnd;
    openApiInvoker: typeof openApiInvoker;
    openApp: typeof openApp;
    openBrowser: typeof openBrowser;
    openChat: typeof openChat;
    openDownloadFile: typeof openDownloadFile;
    openLink: typeof openLink;
    openPage: typeof openPage;
    openSchemeUrl: typeof openSchemeUrl;
    openSlidePanel: typeof openSlidePanel;
    openWatermarkCamera: typeof openWatermarkCamera;
    pauseAudio: typeof pauseAudio;
    pickChat: typeof pickChat;
    pickChatByCorpId: typeof pickChatByCorpId;
    pickGroupChat: typeof pickGroupChat;
    pickGroupConversation: typeof pickGroupConversation;
    playAudio: typeof playAudio;
    previewDoc: typeof previewDoc;
    previewImage: typeof previewImage;
    printFile: typeof printFile;
    printNativeLog: typeof printNativeLog;
    prompt: typeof prompt;
    pushWindow: typeof pushWindow;
    readImageToBase64: typeof readImageToBase64;
    ready: typeof ready;
    reduceImageSize: typeof reduceImageSize;
    removeStorageItem: typeof removeStorageItem;
    replacePage: typeof replacePage;
    resetView: typeof resetView;
    resumeAudio: typeof resumeAudio;
    rotateView: typeof rotateView;
    scan: typeof scan;
    searchOnMap: typeof searchOnMap;
    sendOutData: typeof sendOutData;
    setLocalScreenShotPolicy: typeof setLocalScreenShotPolicy;
    setNavIcon: typeof setNavIcon;
    setNavLeftText: typeof setNavLeftText;
    setOptionMenu: typeof setOptionMenu;
    setProxyInfo: typeof setProxyInfo;
    setStorageItem: typeof setStorageItem;
    setTitle: typeof setTitle;
    shareFileToMessage: typeof shareFileToMessage;
    shareImageToMessage: typeof shareImageToMessage;
    shareToMessage: typeof shareToMessage;
    shootVideo: typeof shootVideo;
    showActionSheet: typeof showActionSheet;
    showCallMenu: typeof showCallMenu;
    showDatePicker: typeof showDatePicker;
    showDateTimePicker: typeof showDateTimePicker;
    showExtendModal: typeof showExtendModal;
    showHomeBottomTab: typeof showHomeBottomTab;
    showLoading: typeof showLoading;
    showModal: typeof showModal;
    showMultiSelect: typeof showMultiSelect;
    showOnMap: typeof showOnMap;
    showOptionMenu: typeof showOptionMenu;
    showPlainInputUponKeyboard: typeof showPlainInputUponKeyboard;
    showQuickCallMenu: typeof showQuickCallMenu;
    showSelect: typeof showSelect;
    showSignature: typeof showSignature;
    showSocialShare: typeof showSocialShare;
    showTimePicker: typeof showTimePicker;
    showTitleBar: typeof showTitleBar;
    startFaceRecognition: typeof startFaceRecognition;
    startGeolocation: typeof startGeolocation;
    startListenNetworkStatus: typeof startListenNetworkStatus;
    startRecordAudio: typeof startRecordAudio;
    startTraceReport: typeof startTraceReport;
    startVPNApp: typeof startVPNApp;
    startWatchShake: typeof startWatchShake;
    stopAudio: typeof stopAudio;
    stopGeolocation: typeof stopGeolocation;
    stopListenNetworkStatus: typeof stopListenNetworkStatus;
    stopPullToRefresh: typeof stopPullToRefresh;
    stopRecordAudio: typeof stopRecordAudio;
    stopTraceReport: typeof stopTraceReport;
    stopVPNApp: typeof stopVPNApp;
    stopWatchShake: typeof stopWatchShake;
    subscribe: typeof subscribe;
    takePhoto: typeof takePhoto;
    testProxy: typeof testProxy;
    toast: typeof toast;
    unlockWithSecurityVerification: typeof unlockWithSecurityVerification;
    unsubscribe: typeof unsubscribe;
    uploadFile: typeof uploadFile;
    uploadFileByType: typeof uploadFileByType;
    uploadLocalFile: typeof uploadLocalFile;
    uploadRemoteFileToDisk: typeof uploadRemoteFileToDisk;
    ut: typeof ut;
    version: typeof version;
    vibrate: typeof vibrate;
}
declare let dd: Idd & MiniTypes;
export default dd;
